package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/***
 * 优惠劵发放方式
 */
@Data
public class CouponIssue {
    private Integer couponIssueId;            //发放表主键id
    private String issueName;                 //发放名
    private String issueType;                 //发放类型 （1主动发放，2消费发放，3扫码发放，4展示发放）
    private BigDecimal discountThresholdAmt;  //主动发放时，优惠券发放门槛
    private String status;                    //状态，1启用，2停用
    private Integer stationId;                //油站ID
    private String createBy;                  //创建人
    private Date createTime;                  //创建时间
    private String updateBy;                  //更新人
    private Date updateTime;                  //更新时间
    private String showId;                    //展示位置id(1支付成功之后的展示位，2待定，3待定)
    private List<Coupon> couponInfoList;      //优惠券
}
