package com.platform.yijia.pojo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户优惠券实体类
 */
@Data
public class UserCoupon {

    //用户优惠券属性
    private Integer couponId;               //优惠券ID；
    private String unionId;                 //用户union_id；
    private String couponNo;                //优惠券码
    private String getCouponOrigin;         //优惠券来源
    private String couponIsUsed;            //优惠券是否被使用
    private Integer grantCouponShop;        //优惠券发放商店
    private Date getCouponTime;             //优惠券获取时间
    private Integer grantCouponPerson;      //优惠券发放人
    private String couponIsEffective;       //用户获得的优惠券是否还有效

    private Integer stationId;              //油站ID

    //优惠券属性
    private BigDecimal couponThresholdAmt;  //优惠券使用门槛金额；
    private String oilType;                 //1 柴油，2 汽油;
    private String couponAmt;               //优惠券优惠金额；
    private String effectiveTimeType;       //有效时间类型： 1，固定时间；2，领取后x天内有效；
    private Date effectiveTimeStart;        //固定时间-有效开始时间；
    private Date effectiveTimeEnd;          //固定时间-有效结束时间；
    private Integer effectiveDayNum;        //有效天数；
    private String openPlatform;            //'发放平台，1.微信 2支付宝'；
    private String grantStatus;             //发放状态：0，未发放；1，已发放；
    private String status;                  //有效状态：0，未生效； 1，生效；2，失效；

    //油站属性
    private String stationName;             //油站名称

}
